#!/bin/bash
PREPOST_LOG="/tmp/prepost.log"
DB_LOCK_FILE="/tmp/mysql_read_lock"
DB_LOCK_PROCESS_PID=`cat $DB_LOCK_FILE`

JOB_ID=$JOB_ID

function debug {
	echo "`date +'%Y/%m/%d %H:%M:%S'` [$JOB_ID] $1" >>$PREPOST_LOG
}

function kill_children_processes {
	local parent_pid=$1
	local child_pids=`ps -ef | grep -w $parent_pid |grep -v grep | awk '{if('$parent_pid'==$3){print $2}}'`
	for child_pid in ${child_pids}
	do
		pkill -KILL -P $child_pid
		debug "stop the childen processes of $child_pid"
	done
}

#main
debug "start to unlock mysql db..."
if [ ! -f $DB_LOCK_FILE ]; then
	debug "mysql db lock file $DB_LOCK_FILE does not exist"
	exit 0
fi

if [ "X$DB_LOCK_PROCESS_PID" != "X" ]; then
	kill_children_processes $DB_LOCK_PROCESS_PID
	debug "stop the childen processes of $DB_LOCK_PROCESS_PID"
fi

rm -f $DB_LOCK_FILE

debug "unlock mysql db successfully"
exit 0
